Bug 126747 - gdm unable to display Welcome banner in Bluecurve theme
gdm unable to display Welcome banner in Bluecurve theme
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: redhat-artwork (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
:
: 120979 123214 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-25 13:19 EDT by Valdis Kletnieks
Modified: 2013-03-05 22:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-28 01:11:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample patch to allow Welcome banner to work (640 bytes, patch)
2004-06-25 13:23 EDT, Valdis Kletnieks
no flags Details | Diff
Rediffed for redhat-artwork-0.122-3 (557 bytes, patch)
2005-04-26 12:27 EDT, Valdis Kletnieks
no flags Details | Diff

  None (edit)
Description Valdis Kletnieks 2004-06-25 13:19:55 EDT
Description of problem:
The Bluecurve.xml file lacks a definition for the Welcome banner
set in /etc/gdm/gdm.conf, so it isn't displayed.

Version-Release number of selected component (if applicable):
redhat-artwork-0.97-2

How reproducible:
Try to set a Welcome banner

Steps to Reproduce:
1. Select Bluecurve theme in /etc/gdm/gdm.conf
2. Set a 'Welcome=This wont be displayed' in that file.
3. Get to the gdm login screen, and see that it isn't displayed.
  
Actual results:
The Welcome banner isn't displayed

Expected results:
A displayed banner.

Additional info:
This is a major problem for those sites which use the banner to
display AUP info or other (possibly legally mandated) warnings.

Patch attached.
Comment 1 Valdis Kletnieks 2004-06-25 13:23:56 EDT
Created attachment 101424 [details]
Sample patch to allow Welcome banner to work

If anybody has a better way to deal with the 'normal color= font=' besides
hard-coding it, feel free to improve it.  I have *no* clue where the
"stock type='welcome-label/'" is supposed to get its defaults from....
Comment 2 Miloslav Trmac 2004-06-28 11:34:16 EDT
*** Bug 123214 has been marked as a duplicate of this bug. ***
Comment 3 Miloslav Trmac 2004-06-28 11:34:23 EDT
*** Bug 120979 has been marked as a duplicate of this bug. ***
Comment 4 Valdis Kletnieks 2004-06-28 16:00:18 EDT
To quote Homer Simpson: "D'Oh".  I forgot I had opened 123214. ;)
Comment 5 Matthew Miller 2005-04-26 11:45:40 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 6 Valdis Kletnieks 2005-04-26 12:27:34 EDT
Created attachment 113676 [details]
Rediffed for redhat-artwork-0.122-3
Comment 7 Valdis Kletnieks 2005-04-26 12:28:59 EDT
Still an issue in the current -devel tree (redhat-artwork-0.122-3).  I've
attached a rediff'ed patch against that version.
Comment 8 Rahul Sundaram 2005-08-12 20:15:23 EDT
Setting severity to high since patch is available. In future we need a new
keyword for this
Comment 9 Matthias Clasen 2008-03-28 01:11:25 EDT
This bug has been filed against FC2, and in the meantime, gdm has been
rewritten, and doesn't support the Bluecurve theme anymore. Closing.

Note You need to log in before you can comment on or make changes to this bug.